Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# TurnBasedMultiplayer.CancelMatchResult

implements Result

com.google.android.gms.games.multiplayer.turnbased.TurnBasedMultiplayer.CancelMatchResult

## Class Overview

Result delivered when the match has been canceled. Possible status codes include:

- `STATUS_OK` if the match was successfully canceled.
- `STATUS_NETWORK_ERROR_OPERATION_DEFERRED` if the attempt to leave the match resulted in a network error. The operation was stored locally, and will be retried the next time the device comes online. No further action is required.
- `STATUS_MATCH_ERROR_LOCALLY_MODIFIED` if the match has already been modified locally and has changes waiting to be synced to the server. The cancel operation was not executed.
- `STATUS_MULTIPLAYER_ERROR_INVALID_OPERATION` if the server rejected the operation.
- `STATUS_MULTIPLAYER_DISABLED` if the game does not support multiplayer.
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the client needs to reconnect to the service to perform this operation.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

## Summary

Public Methods
abstract String | getMatchId()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract String getMatchId ()

##### Returns

- The ID of the canceled match.